Bug 478131 - MIGRATED_FROM_JIRA: Removing Active Directory dependency on fetching AD Schema
MIGRATED_FROM_JIRA: Removing Active Directory dependency on fetching AD Schema
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:02 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:02:16 EST
When setting up proxy for Active Directory, Penrose will bomb when fetching more than 1,000 entries in targeted AD tree. 
AD's MaxPageSize has to be changed (http://support.microsoft.com/default.aspx?scid=kb;en-us;315071&sd=tech)
Additional Comments From karmano dated Mon Nov 13 19:33:12 CST 2006 
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow70.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow71.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow72.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow73.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow74.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow75.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow76.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow77.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow78.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow79.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow80.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow81.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow82.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow83.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow84.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow85.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow86.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow87.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow88.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow89.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow90.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow91.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow92.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow93.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow94.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow95.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow96.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow97.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow98.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/weknow99.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-0.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-1.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-2.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-3.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-4.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-5.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-6.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-7.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-8.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-9.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-10.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-11.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-12.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-13.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-14.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-15.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-16.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-17.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-18.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-19.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-20.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-21.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-22.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-23.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-24.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-25.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-26.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-27.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-28.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-29.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-30.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-31.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-32.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-33.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-34.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-35.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-36.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-37.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-38.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-39.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-40.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-41.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-42.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-43.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-44.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-45.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-46.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-47.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-48.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-49.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-50.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-51.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-52.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-53.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-54.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-55.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-56.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-57.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-58.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-59.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-60.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-61.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-62.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-63.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-64.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-65.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-66.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-67.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/zeta-68.html


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-146',
          'assignee' => 'endisd',
          'summary' => 'Removing Active Directory dependency on fetching AD Schema',
          'id' => '10430',
          'updated' => '2006-11-13 19:33:12.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-06-12 00:00:00.0',
                             'sequence' => '12',
                             'name' => 'Penrose-1.0',
                             'released' => 'true',
                             'id' => '10072',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2006-06-12 00:00:00.0',
                                 'sequence' => '12',
                                 'name' => 'Penrose-1.0',
                                 'released' => 'true',
                                 'id' => '10072',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'When setting up proxy for Active Directory, Penrose will bomb when fetching more than 1,000 entries in targeted AD tree. 
AD's MaxPageSize has to be changed (http://support.microsoft.com/default.aspx?scid=kb;en-us;315071&sd=tech)',
          'created' => '2006-05-03 03:01:30.0',
          'resolution' => '1',
          'type' => '4'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:02:19 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-146

Note You need to log in before you can comment on or make changes to this bug.